Package kiyut.sketsa.canvas.event

## Class TextCaretEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.swing.event.CaretEvent
    - - kiyut.sketsa.canvas.event.TextCaretEvent

- All Implemented Interfaces:
    `Serializable`

      public class TextCaretEvent
      extends CaretEvent

  CaretEvent is used to notify interested parties that the text caret has changed in the event source
  Author:
    Kiyut
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected int` | `dot` |
    `protected int` | `mark` |

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TextCaretEvent​(Object source, int dot, int mark)` | Creates a new instance of CanvasCaretEvent

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getDot()`
    `int` | `getMark()`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### dot

          protected int dot

    - #### mark

          protected int mark

  - ### Constructor Detail

    - #### TextCaretEvent

          public TextCaretEvent​(Object source,
                                int dot,
                                int mark)

      Creates a new instance of CanvasCaretEvent
      Parameters:
        `source` - the object responsible for the event
        `dot` - the location of the caret.
        `mark` - the location of other end of a logical selection.

  - ### Method Detail

    - #### getDot

          public int getDot()

      Specified by:
        `getDot` in class `CaretEvent`

    - #### getMark

          public int getMark()

      Specified by:
        `getMark` in class `CaretEvent`